.pt-o-test-header {
  width: 100%;
  height: 8rem;
  position: relative;
  z-index: 2;
  // transition: height 0.25s ease-in-out;

  &::before {
    width: 100%;
    height: 100%;
    background: linear-gradient($mayaBlue, $dodgerBlue);
    content: '';
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    transition: opacity 0.25s ease-in-out;
  }

  &.--primary {
    height: 12rem;

    &::before {
      opacity: 1;
    }
  }

  &__summary-toggle {
    display: none;
  }

  &__count-down {
    min-width: 17rem;
    min-height: 4.8rem;
    border-radius: 2.4rem;
    display: flex;
    align-items: center;
    position: absolute;
    top: 50%;
    left: 0;
    z-index: 2;
    transform: translate(-2.4rem, -50%);
    // transition: all 0.25s ease-in-out;

    &.--white {
      background: $white;
      transform: translate(3.2rem, -50%);
    }
  }

  &__parts-dropdown {
    width: 49rem;
    height: 100%;
    position: absolute;
    top: 0;
    left: 50%;
    z-index: 2;
    transform: translateX(-50%);
  }

  &__submit {
    width: 16.8rem;
    height: 4.8rem;
    background: $limeGreen !important;
    border-radius: 2.4rem;
    color: $white !important;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: 'mont_sb';
    position: absolute;
    top: 50%;
    right: 0;
    z-index: 2;
    transform: translateY(-50%);
    transition: box-shadow 0.25s ease-in-out;

    &:hover,
    &:active {
      background: $limeGreen !important;
      color: $white !important;
      box-shadow: 0 1rem 4rem rgba($color: $limeGreen, $alpha: 0.4);
    }

    & > .pt-a-image {
      width: 1.9rem;
      height: 1.9rem;
      margin-right: 0.8rem;
    }
  }

  &__back {
    min-width: 18.2rem;
    height: 4.6rem;
    background: $white !important;
    border: 0.2rem solid $lightSkyBlue;
    border-radius: 2.3rem;
    position: absolute;
    top: 50%;
    left: 0;
    z-index: 2;
    transform: translateY(-50%);

    &:hover,
    &:active {
      background: $white !important;
    }
  }

  &__cr {
    min-width: 24rem;
    height: 5rem;
    border-radius: 0.6rem;
    display: flex;
    position: absolute;
    top: 50%;
    right: 0;
    z-index: 2;
    transform: translateY(-50%);
    transition: box-shadow 0.25s ease-in-out;

    &:hover {
      box-shadow: 0 0.5rem 1rem rgba($color: $black, $alpha: 0.1);
    }

    & > .__label {
      height: 100%;
      background: $white;
      border-radius: 0.6rem 0 0 0.6rem;
      padding: 0 0.8rem;
      display: flex;
      align-items: center;
      justify-content: center;
      flex: 1;
      font-family: 'mont_sb';

      &.--success {
        color: $kellyGreen;
      }

      &.--danger {
        color: $salmon;
      }
    }

    & > .__btn {
      width: 21.8rem;
      border-radius: 0 0.6rem 0.6rem 0;
      display: flex;
      align-items: center;
      justify-content: center;
      position: relative;

      &.--primary {
        background: $dodgerBlue;

        &::before {
          background: linear-gradient(90deg, $deepSkyBlue, $dodgerBlue);
        }
      }

      &.--success {
        background: $limeGreen;

        &::before {
          background: linear-gradient(-90deg, $limeGreen, $screamingGreen);
        }
      }

      &::before {
        width: 100%;
        height: 100%;
        content: '';
        opacity: 0;
        pointer-events: none;
        position: absolute;
        top: 0;
        left: 0;
        z-index: 1;
        transition: opacity 0.25s ease-in-out;
      }

      &:hover {
        &::before {
          opacity: 1;
        }
      }

      & > .__icon {
        width: 1.7rem;
        height: 1.7rem;
        margin-right: 1.2rem;
        position: relative;
        z-index: 2;
      }

      & > .__text {
        color: $white;
        font-family: 'mont_sb';
        position: relative;
        z-index: 2;
      }
    }
  }

  &__title {
    width: 56.2rem;
    margin: 0 auto;
    color: $white;
    font-family: 'mont_m';
    font-style: 1.8rem;
    line-height: 2.2rem;
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 2;
    transform: translate(-50%, -50%);
  }
}
@media only screen and (max-width: 1199px) and  (max-aspect-ratio:3999/3000){
  .pt-o-test-header {

    &__cr {
      min-width: 23rem;
      height: 4.5rem;
      right: -3rem;

      & > .__label {
        padding: 0;
      }
    }
  }
}
@media only screen and (max-width: 1024px) and  (max-aspect-ratio:3999/3000) {
  .pt-o-test-header {
    height: 10rem;

    &::before {
      display: none;
    }

    &__summary-toggle {
      display: none;
    }

    &__count-down {
      top: 5.4rem;
      left: -2.4rem;
      min-height: 2rem;
      transform: unset;
    }

    &__submit {
      top: 5rem;
      right: 0;
      width: 12rem;
      height: 3.6rem;
      transform: unset;
      & > .pt-a-image {
        width: 1.5rem;
        height: 1.5rem;
        margin-right: 0.7rem;
      }
    }

    &__parts-dropdown {
      width: 100%;
      height: auto;

      pointer-events: none;
    }

    &__cr {
      min-width: 24rem;
      height: 4rem;
      border-radius: 0.6rem;
      display: flex;
      position: absolute;
      top: 70%;
      right: 0;
      z-index: 2;
      transform: translateY(-50%);
      transition: box-shadow 0.25s ease-in-out;

      &:hover {
        box-shadow: 0 0.5rem 1rem rgba($color: $black, $alpha: 0.1);
      }

      & > .__label {
        padding: 0 0.8rem;
      }

      & > .__btn {
        width: 21.8rem;
        border-radius: 0 0.6rem 0.6rem 0;
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;

        &.--primary {
          background: $dodgerBlue;

          &::before {
            background: linear-gradient(90deg, $deepSkyBlue, $dodgerBlue);
          }
        }

        &.--success {
          background: $limeGreen;

          &::before {
            background: linear-gradient(-90deg, $limeGreen, $screamingGreen);
          }
        }

        &::before {
          width: 100%;
          height: 100%;
          content: '';
          opacity: 0;
          pointer-events: none;
          position: absolute;
          top: 0;
          left: 0;
          z-index: 1;
          transition: opacity 0.25s ease-in-out;
        }

        &:hover {
          &::before {
            opacity: 1;
          }
        }

        & > .__icon {
          width: 1.5rem;
          height: 1.5rem;
          margin-right: 1.2rem;
          position: relative;
          z-index: 2;
        }

        & > .__text {
          color: $white;
          font-family: 'mont_sb';
          position: relative;
          z-index: 2;
        }
      }
    }
  }
}

// @media only screen and (max-width: 1024px) {
//   .pt-o-test-header {
//     height: 13rem;
//     &__parts-dropdown {
//       height: unset;
//       width: 98%;
//       max-width: 50rem;
//       top: 4rem;
//     }
//     &__count-down {
//       top: 1.4rem;
//     }
//     &__submit {
//       top: 1.4rem;
//       width: 13.8rem;
//       height: 3.8rem;
//       font-size: 2rem !important;
//     }
//     &__cr {
//       min-width: 29rem;
//       width: unset;
//       height: 4rem;
//       border-radius: 0.6rem;
//       top: 1.4rem;

//       & > .__label {
//         padding: 0 1rem;
//         height: 100%;
//         background: $white;
//         border-radius: 0.6rem 0 0 0.6rem;
//         font-size: 2rem;
//       }

//       & > .__btn {
//         width: 27.8rem;
//         border-radius: 0 0.6rem 0.6rem 0;
//         font-size: 2rem;

//         & > .__icon {
//           width: 1.7rem;
//           height: 1.7rem;
//         }

//         & > .__text {
//           font-size: 2rem;
//         }
//       }
//     }
//   }
// }
@media only screen and (max-width: 960px) and  (max-aspect-ratio:3999/3000){
  .pt-o-test-header{

    &__summary-toggle {
      position: absolute;
      top: 1rem;
      left: 0;

      width: 2.4rem;
      height: 2.4rem;

      display: block;

      &[data-open='true'] {
        &::before {
          transform: rotate(45deg);
        }

        &::after {
          transform: rotate(-45deg);
        }
      }

      &::before,
      &::after {
        position: absolute;
        top: 50%;
        left: 0;

        width: 100%;
        height: 0.2rem;

        background: #2692ff;

        content: '';

        transition: transform 0.25s;
      }

      &::before {
        transform: translateY(-0.4rem);
      }

      &::after {
        transform: translateY(0.4rem);
      }
    }
  }
}

@media only screen and (max-width: 480px) and  (max-aspect-ratio:3999/3000) {
  .pt-o-test-header {
    height: 14rem;

    &__count-down {
      top: 9.4rem;
    }

    &__submit {
      top: 9rem;
      right: 0;
      width: 11rem;
      height: 3rem;

      transform: unset;
      & > .pt-a-image {
        width: 1.2rem;
        height: 1.2rem;
        margin-right: 0.5rem;
      }
    }

    &__cr {
      min-width: 23rem;
      height: 3.3rem;
      border-radius: 0.6rem;
      display: flex;
      position: absolute;
      top: 77%;
      right: 0;
      z-index: 2;

      & > .__btn {
        width: 21.8rem;
        border-radius: 0 0.6rem 0.6rem 0;
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;

        & > .__icon {
          width: 1.2rem;
          height: 1.2rem;
          margin-right: 1.2rem;
          position: relative;
          z-index: 2;
        }
      }
    }
  }
}

@include screen-768-landscape{
  .pt-o-test-header { 
    &__parts-dropdown {
      width: 55%;
    }
    &__count-down{
      left: 4rem;
    }
  }
}
@include screen-960-landscape{
  .pt-o-test-header {
    height: 5.6rem;
    &__parts-dropdown {
      width: 55%;
    }
    &__count-down{
      left: 4rem;
    }
    &__summary-toggle {
      position: absolute;
      top: 1.4rem;
      left: 0;
      z-index: 100;
      width: 2.4rem;
      height: 2.4rem;

      display: block;

      &[data-open='true'] {
        &::before {
          transform: rotate(45deg);
        }

        &::after {
          transform: rotate(-45deg);
        }
      }

      &::before,
      &::after {
        position: absolute;
        top: 50%;
        left: 0;

        width: 100%;
        height: 0.2rem;

        background: #2692ff;

        content: '';

        transition: transform 0.25s;
      }

      &::before {
        transform: translateY(-0.4rem);
      }

      &::after {
        transform: translateY(0.4rem);
      }
    }
    &__submit {
      width: 10rem;
      height: 3rem;
      position: absolute;
      right: 0;
      top:50%;
      transform: translateY(-50%);
      z-index: 2;
    & > .pt-a-image {
      width: 1.2rem;
      height: 1.2rem;
      margin-right: 0.5rem;
    }
    // &__cr {
    //   min-width: 23rem;
    //   height: 4.5rem;
    //   right: -3rem;

    //   & > .__label {
    //     padding: 0;
    //   }
    // }
    }
  }
}
